
<!DOCTYPE html>
<html>
   <head>
   
 <style> 
   #example1 {
  background-image: url("https://images.pexels.com/photos/260689/pexels-photo-260689.jpeg?auto=compress&cs=tinysrgb&dpr=2&h=650&w=940");
  height: 100vh;
  width: 100%;
  background-size: cover;
  background-repeat: no repeat;
  background-position: center;
  background-attachment: fixed;
  padding: 20px;
  margin: auto;

  }
 </style>
 </head>
<body>
 <div id="example1">
        <div style="text-align: right" style="float: right" >
        <h2><img src="https://www.tecazuay.edu.ec/assets/img/logo.png"  class="izquierda"></h2>
    </div>
    <h1> </h1>
  <h1 class="test1">LISTA DE CERTIFICADOS</h1>
    <div>
    <hr class="bordes"/>
    <div class="row ">
   
         
     <p-table  class="ex2" #dt [columns]="cols" [value]="certificadoempresas" [paginator]="true" (onRowSelect)="onRowSelect($event)"
        [rows]="10" [filterDelay]="400" selectionMode="single" [(selection)]="certificadoseleccionado"
        dataKey="idCertificado" [style]="{'margin-left':'40px'}"   >
         <ng-template pTemplate="caption">
            Módulos
        </ng-template>
        <ng-template pTemplate="caption">
            <div style="text-align: right">
                <i class="fa fa-search" style="margin:6px 6px 0 0"></i>
                <input type="text" pInputText size="50" placeholder="Busqueda"
                    (input)="dt.filterGlobal($event.target.value, 'contains')" style="width:auto" />
            </div>
        </ng-template>
        <ng-template pTemplate="header" let-columns>
            <tr>
                <th *ngFor="let col of columns" [pSortableColumn]="col.field">
                    {{ col.header }}
                    <p-sortIcon [field]="col.field"></p-sortIcon>
                </th>
            </tr>
        </ng-template>
        
        <ng-template pTemplate="body" let-rowData let-columns="columns">
            <tr [pSelectableRow]="rowData">
                <td *ngFor="let col of columns">
                 <span *ngIf="(col.field==='empresa')" >{{ rowData[col.field]?.idEmpresa}}</span> 
            <span *ngIf="(col.field==='fechaExterna') " >{{ rowData[col.field] | date }}</span>
            <span *ngIf="(!(col.field==='fechaExterna')||(col.field==='empresa'))"> {{ rowData[col.field] }}</span> 
                </td>
            </tr>
        </ng-template>
        <ng-template pTemplate="summary" let-rowData>
            <div style="text-align:right">
                <button type="button" pButton icon="fa fa-plus" (click)="showDialogToAdd()"
                    label="Nuevo"></button>
                <button type="button" pButton icon="fa fa-trash" (click)="borrar(idCertificado)" label="Borrar"></button>
                <button type="button"  pButton icon="fa fa-edit" (click)="showDialogToEdit()"
                    label="Editar"></button>
                 <button type="button"  pButton icon="fa fa-edit" (click)="generarSolicitud()"
                            label="Generar"></button>
            </div>
        </ng-template>
     </p-table>
            <p-dialog header="CERTIFICADO" [(visible)]="displayDialog" [responsive]="true" showEffect="fade" [modal]="true"
                    [style]="{ width: '400px' }">
       

                <div class="col-md-8 mt-4">
                     <form #form="ngForm" *ngIf="certificadoempresa">
                                 <div class="form-group">
                                    <label for="" class="col-form-label-sm">Fecha:</label>
                                    <div class="calender">
                                        <p-calendar  name="fechaExterna " #fechaExterna="ngModel" required [(ngModel)]="certificadoempresa.fechaExterna" 
                                            [(ngModel)]="date5" dateFormant='dd/mm/yy'  [showIcon]="true" inputId="icon"></p-calendar>      
                                        <h6 *ngIf="fechaExterna.hasError('required') && fechaExterna.touched" class="input-error">Campo obligatorio</h6>
                                </div>

                                        <div class="form-group">
                                            <label for="" class="col-form-label-sm">Responsable:</label>
                                            <input type="text.toUpperCase()" required class="form-control" name="responsableppp"
                                                [(ngModel)]="certificadoempresa.responsableppp" placeholder="Ingrese el Responsable de PPP"
                                                #responsableppp="ngModel" pKeyFilter="alpha">
                                            <h6 *ngIf="responsableppp.hasError('required') && responsableppp.touched" class="input-error">Campo
                                                obligatorio</h6>
                                        </div>
                                    <div class="form-group">
                                     <label for="" class="col-form-label-sm">Carrera:</label>
                                     <input type="text" required class="form-control" name="carrera"
                                                [(ngModel)]="certificadoempresa.carrera" placeholder="Ingrese la Carrera"
                                                #carrera="ngModel">
                                     <h6 *ngIf="carrera.hasError('required') && carrera.touched" class="input-error">Campo
                                                obligatorio</h6>
                                    </div>
                                    <div class="form-group">
                        
                                        <label for="tutorempresarial">
                                                    NombreTutor:
                                                    
                                         </label>
                                        <p-dropdown  name="mISelect" #mySelect="ngModel" [options]="this.tutorempresariales"
                                                placeholder="Seleccione Tutor de la Empresa" overlayVisible="true" 
                                         [ngModelOptions]="{standalone: true}" optionLabel="nombre" 
                                         [(ngModel)]="certificadoempresa.tutorempresarial">
                                        </p-dropdown >
                                     <!--<h6 *ngIf="tutorempresarial.hasError('required') && tutorempresarial.touched" class="input-error">Campo obligatorio
                                     </h6>-->
                                    </div>
                                <div class="form-group">
                        
                                        <label for="tutorempresarial">
                                                    ApellidoTutor:
                                                    
                                                </label>
                                                <p-dropdown  name="mISelect" #mySelect="ngModel" [options]="this.tutorempresariales"
                                                placeholder="Seleccione Tutor de la Empresa" overlayVisible="true" 
                                    [ngModelOptions]="{standalone: true}" optionLabel="apellido" 
                                    [(ngModel)]="certificadoempresa.tutorempresarial">
                                        </p-dropdown >
                                    <!--<h6 *ngIf="tutorempresarial.hasError('required') && tutorempresarial.touched" class="input-error">Campo obligatorio
                                    </h6>-->
                                </div>
                                    <div class="form-group">
                        
                                   <label for="tutorempresarial">
                                         Empresa:  
                                        </label>
                                    <p-dropdown #mySelect="ngModel"  [options]="this.tutorempresariales"  name="mISelect" 
                                        placeholder="Seleccione  la Empresa" overlayVisible="true" 
                                    [ngModelOptions]="{standalone: true}" optionLabel="empresas.nombre" 
                                    [(ngModel)]="certificadoempresa.tutorempresarial">
                                        </p-dropdown >
                                    <!--<h6 *ngIf="tutorempresarial.hasError('required') && tutorempresarial.touched" class="input-error">Campo obligatorio
                                    </h6>-->
                                </div>
                                <div class="form-group">
                                            <label for="" class="col-form-label-sm">Fecha Inicio:</label>
                                        <div class="calender">
                                        <p-calendar  name="fechaInicio " #fechaInicio="ngModel" required [(ngModel)]="certificadoempresa.fechaInicio" 
                                            [(ngModel)]="date4"  dateFormant='dd/mm/yy'  [showIcon]="true" inputId="icon"></p-calendar>
                                        </div >     
                                        <h6 *ngIf="fechaInicio.hasError('required') && fechaInicio.touched" class="input-error">Campo obligatorio</h6>
                                </div>
                                <div class="form-group">
                                    <label for="" class="col-form-label-sm">Fecha Fin:</label>
                                    <div class="calender">
                                    <p-calendar id= "prueba" name="fechaFin " #fechaFin="ngModel" required [(ngModel)]="certificadoempresa.fechaFin" 
                                            [(ngModel)]="date6" dateFormant='dd/mm/yy'  [showIcon]="true" inputId="icon"></p-calendar>
                                            </div >     
                                        <h6 *ngIf="fechaFin.hasError('required') && fechaFin.touched" class="input-error">Campo obligatorio</h6>
                                </div>
                                 <div class="form-group">
                                    <label for="" class="col-form-label-sm">Actividades:</label>
                                    <input type="text" required class="form-control " placeholder="Ingrese las actividades a realizar"
                                        name="actividades" #actividades="ngModel" required [(ngModel)]="certificadoempresa.actividades" />
                                        <h6 *ngIf="actividades.hasError('required') && actividades.touched" class="input-error">Campo obligatorio
                                            </h6>
                                        </div>
                                    <div class="form-group">
                                    <label for="" class="col-form-label-sm">Horas:</label>
                                    <input type="text" required class="form-control " placeholder="Ingrese Horas Cumplidas"
                                        name="horasTotal" #horasTotal="ngModel" required [(ngModel)]="certificadoempresa.horasTotal" />

                                    <h6 *ngIf="horasTotal.hasError('required') && horasTotal.touched" class="input-error">Campo obligatorio</h6>
                                </div>
                                <div class="form-group">
                                    <label for="" class="col-form-label-sm">Calificacion:</label>
                                    <input type="text" required class="form-control " placeholder="Ingrese nota Estudiante"
                                        name="calificacion" #calificacion="ngModel" required [(ngModel)]="certificadoempresa.calificacion" />

                                    <h6 *ngIf="calificacion.hasError('required') && calificacion.touched" class="input-error">Campo obligatorio</h6>
                                </div>
                                
                                <div class="form-group">
                                    <label for="" class="col-form-label-sm">Estado:</label>
                                    <input type="text" required class="form-control " placeholder="Ingrese el tipo perfil"
                                        name="estado" #estado="ngModel" required [(ngModel)]="certificadoempresa.estado" />

                                    <h6 *ngIf="estado.hasError('required') && estado.touched" class="input-error">Campo obligatorio</h6>
                                </div>
                                <div class="text-center form-row justify-content-around">
                                    <div class="col-5">
                                        <button class="btn btn-danger" (click)="cerrar()">Cancelar</button>
                                    </div>
                                    <div class="col-5">
                                        <button class="btn btn-success" [disabled]="form.invalid"
                                            (click)="btnGuardar()">Guardar</button>
                                    </div>
                                </div>
                                </div>
            
                 
                    </form>
                 
                </div> 
    
            </p-dialog>
             
        </div>
        </div>

    </div>
 </body>
 
 </html>
